package com.imdroid.beidou_fwd.entity;


import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * udp数据推送 api
 *
 * @author LiGang
 */
@Data
public class GZYData {
    private String identityName;
    private String type = "dbwy";

    private List<Data> TranData;
    public GZYData(){
        TranData = new ArrayList<>();
    }

    public void addData(Data data){
        TranData.add(data);
    }

    @lombok.Data
    public  static class Data {
        private String CollectTime;

        private Double X;
        private Double Y;
        private Double Z;
    }
}
